export default class Template {
    views: string;
    globals: Record<string, any>;
    cache: boolean;
    debug: boolean;
    private templates;
    constructor();
    setDebug(debug: boolean): void;
    setViews(views: string): void;
    setGlobals(globals: Record<string, any>): void;
    setCache(cache: boolean): void;
    private readdir;
    private getTemplate;
    render(file: string, data?: Record<string, any>, locals?: Record<string, any>): string;
    escape(str: string): string;
    forEach(o: any, f: (value: any, key: string | number) => void): void;
    getMtime(file: string): number;
}
